<?php

namespace Property\Property\Repositories\Eloquent;

use Property\Property\Interfaces\PropertyListsRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class PropertyListsRepository extends BaseRepository implements PropertyListsRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('property.property.property_lists.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('property.property.property_lists.model.model');
    }
}
